Skip to content
Coritan Docs

Organization API: DNS

Org-scoped authoritative DNS zones, records, DNSSEC, import/export, and geo load balancers.

View as Markdown

Org-scoped authoritative DNS zones, records, DNSSEC, import/export, and geo load balancers.

Base URL: https://api.coritan.com/api/v1. Paths below are complete.

To try these requests in the browser, open the interactive Organization API reference.

Method Path Summary
GET /api/v1/orgs/{org_slug}/dns/lb-regions Org list LB regions
GET /api/v1/orgs/{org_slug}/dns/zones List zones
POST /api/v1/orgs/{org_slug}/dns/zones Create zone
GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id} Get zone
PATCH /api/v1/orgs/{org_slug}/dns/zones/{zone_id} Update zone
DELETE /api/v1/orgs/{org_slug}/dns/zones/{zone_id} Delete zone
GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/dnssec Get DNSSEC info
GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/export Export zone
POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/import Import zone
GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/lb-pools List LB pools
POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/lb-pools Create LB pool
GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/lb-pools/{pool_id} Get LB pool
PATCH /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/lb-pools/{pool_id} Update LB pool
DELETE /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/lb-pools/{pool_id} Delete LB pool
GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/load-balancers Org list lbs
POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/load-balancers Org create LB
GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/load-balancers/{lb_id} Org get LB
PATCH /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/load-balancers/{lb_id} Org update LB
DELETE /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/load-balancers/{lb_id} Org delete LB
POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/load-balancers/{lb_id}/preview Org preview LB
GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/pools Org list pools
POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/pools Org create pool
GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/pools/{pool_id} Org get pool
PATCH /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/pools/{pool_id} Org update pool
DELETE /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/pools/{pool_id} Org delete pool
GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/records List records
POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/records Create record
GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/records/{record_id} Get record
PUT /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/records/{record_id} Update record
DELETE /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/records/{record_id} Delete record
GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/stats Get zone stats

GET /api/v1/orgs/{org_slug}/dns/lb-regions

Name In Type Required
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/dns/zones

Name In Type Required Description
org_slug path string yes
page query integer no Default: 1.
per_page query integer no Default: 25.
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

A 200 response is a list; each item has these fields:

Field Type
[].id integer
[].service_id integer or null
[].user_id integer
[].org_id integer or null
[].domain string
[].status string
[].dnssec_enabled boolean
[].serial integer
[].soa_email string
[].record_count integer or null
[].created_at string (date-time)
[].updated_at string (date-time)

POST /api/v1/orgs/{org_slug}/dns/zones

Name In Type Required
org_slug path string yes

application/json (required)

Field Type Required
domain string yes
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

Fields of a 201 response:

Field Type
id integer
service_id integer or null
user_id integer
org_id integer or null
domain string
status string
dnssec_enabled boolean
serial integer
soa_email string
record_count integer or null
created_at string (date-time)
updated_at string (date-time)

GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}

Name In Type Required
zone_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
id integer
service_id integer or null
user_id integer
org_id integer or null
domain string
status string
dnssec_enabled boolean
serial integer
soa_email string
record_count integer or null
created_at string (date-time)
updated_at string (date-time)

PATCH /api/v1/orgs/{org_slug}/dns/zones/{zone_id}

Name In Type Required
zone_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
soa_email string or null no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
id integer
service_id integer or null
user_id integer
org_id integer or null
domain string
status string
dnssec_enabled boolean
serial integer
soa_email string
record_count integer or null
created_at string (date-time)
updated_at string (date-time)

DELETE /api/v1/orgs/{org_slug}/dns/zones/{zone_id}

Name In Type Required
zone_id path integer yes
org_slug path string yes
Status Meaning
204 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/dnssec

Name In Type Required
zone_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
enabled boolean
algorithm string
ksk_key_tag integer or null
zsk_key_tag integer or null
ds_records array of string
zsk_rotated_at string (date-time) or null

GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/export

Name In Type Required
zone_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/import

Name In Type Required
zone_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
zone_file string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/lb-pools

Name In Type Required
zone_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

A 200 response is a list; each item has these fields:

Field Type
[].id integer
[].zone_id integer
[].name string
[].description string or null
[].hostname string or null
[].algorithm string
[].ttl integer
[].session_affinity string
[].primary_location_code string or null
[].enabled boolean
[].members array of LbMemberResponse
[].members[].id integer
[].members[].pool_id integer
[].members[].address string
[].members[].address_type string
[].members[].weight integer
[].members[].priority integer
[].members[].enabled boolean
[].members[].health_mode string
[].members[].health_port integer or null
[].members[].health_path string
[].members[].health_interval_s integer
[].members[].health_timeout_s integer
[].members[].health_status string
[].members[].last_check_at string (date-time) or null
[].members[].last_error string or null
[].members[].created_at string (date-time)
[].members[].updated_at string (date-time)
[].healthy_members integer or null
[].total_members integer or null
[].created_at string (date-time)
[].updated_at string (date-time)

POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/lb-pools

Name In Type Required
zone_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
name string yes
description string or null no
hostname string or null no
algorithm string no
ttl integer no
session_affinity string no
primary_location_code string or null no
enabled boolean no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

Fields of a 201 response:

Field Type
id integer
zone_id integer
name string
description string or null
hostname string or null
algorithm string
ttl integer
session_affinity string
primary_location_code string or null
enabled boolean
members array of LbMemberResponse
members[].id integer
members[].pool_id integer
members[].address string
members[].address_type string
members[].weight integer
members[].priority integer
members[].enabled boolean
members[].health_mode string
members[].health_port integer or null
members[].health_path string
members[].health_interval_s integer
members[].health_timeout_s integer
members[].health_status string
members[].last_check_at string (date-time) or null
members[].last_error string or null
members[].created_at string (date-time)
members[].updated_at string (date-time)
healthy_members integer or null
total_members integer or null
created_at string (date-time)
updated_at string (date-time)

GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/lb-pools/{pool_id}

Name In Type Required
zone_id path integer yes
pool_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
id integer
zone_id integer
name string
description string or null
hostname string or null
algorithm string
ttl integer
session_affinity string
primary_location_code string or null
enabled boolean
members array of LbMemberResponse
members[].id integer
members[].pool_id integer
members[].address string
members[].address_type string
members[].weight integer
members[].priority integer
members[].enabled boolean
members[].health_mode string
members[].health_port integer or null
members[].health_path string
members[].health_interval_s integer
members[].health_timeout_s integer
members[].health_status string
members[].last_check_at string (date-time) or null
members[].last_error string or null
members[].created_at string (date-time)
members[].updated_at string (date-time)
healthy_members integer or null
total_members integer or null
created_at string (date-time)
updated_at string (date-time)

PATCH /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/lb-pools/{pool_id}

Name In Type Required
zone_id path integer yes
pool_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
name string or null no
description string or null no
algorithm string or null no
ttl integer or null no
session_affinity string or null no
primary_location_code string or null no
enabled boolean or null no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
id integer
zone_id integer
name string
description string or null
hostname string or null
algorithm string
ttl integer
session_affinity string
primary_location_code string or null
enabled boolean
members array of LbMemberResponse
members[].id integer
members[].pool_id integer
members[].address string
members[].address_type string
members[].weight integer
members[].priority integer
members[].enabled boolean
members[].health_mode string
members[].health_port integer or null
members[].health_path string
members[].health_interval_s integer
members[].health_timeout_s integer
members[].health_status string
members[].last_check_at string (date-time) or null
members[].last_error string or null
members[].created_at string (date-time)
members[].updated_at string (date-time)
healthy_members integer or null
total_members integer or null
created_at string (date-time)
updated_at string (date-time)

DELETE /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/lb-pools/{pool_id}

Name In Type Required
zone_id path integer yes
pool_id path integer yes
org_slug path string yes
Status Meaning
204 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/load-balancers

Name In Type Required
zone_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

A 200 response is a list; each item has these fields:

Field Type
[].id integer
[].zone_id integer
[].name string
[].hostname string
[].enabled boolean
[].ttl integer
[].session_affinity string
[].steering_policy string
[].location_strategy string
[].fallback_pool_id integer or null
[].default_pools array of integer
[].location_pools Location Pools
[].country_pools Country Pools
[].region_pools Region Pools
[].created_at string (date-time)
[].updated_at string (date-time)

POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/load-balancers

Name In Type Required
zone_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
name string yes
hostname string yes
ttl integer no
session_affinity string no
steering_policy string no
location_strategy string no
default_pools array of integer no
fallback_pool_id integer or null no
location_pools Location Pools no
country_pools Country Pools no
region_pools Region Pools no
enabled boolean no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

Fields of a 201 response:

Field Type
id integer
zone_id integer
name string
hostname string
enabled boolean
ttl integer
session_affinity string
steering_policy string
location_strategy string
fallback_pool_id integer or null
default_pools array of integer
location_pools Location Pools
country_pools Country Pools
region_pools Region Pools
created_at string (date-time)
updated_at string (date-time)

GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/load-balancers/{lb_id}

Name In Type Required
zone_id path integer yes
lb_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
id integer
zone_id integer
name string
hostname string
enabled boolean
ttl integer
session_affinity string
steering_policy string
location_strategy string
fallback_pool_id integer or null
default_pools array of integer
location_pools Location Pools
country_pools Country Pools
region_pools Region Pools
created_at string (date-time)
updated_at string (date-time)

PATCH /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/load-balancers/{lb_id}

Name In Type Required
zone_id path integer yes
lb_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
name string or null no
hostname string or null no
ttl integer or null no
session_affinity string or null no
steering_policy string or null no
location_strategy string or null no
default_pools array of integer or null no
fallback_pool_id integer or null no
location_pools object or null no
country_pools object or null no
region_pools object or null no
enabled boolean or null no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
id integer
zone_id integer
name string
hostname string
enabled boolean
ttl integer
session_affinity string
steering_policy string
location_strategy string
fallback_pool_id integer or null
default_pools array of integer
location_pools Location Pools
country_pools Country Pools
region_pools Region Pools
created_at string (date-time)
updated_at string (date-time)

DELETE /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/load-balancers/{lb_id}

Name In Type Required
zone_id path integer yes
lb_id path integer yes
org_slug path string yes
Status Meaning
204 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/load-balancers/{lb_id}/preview

Name In Type Required
zone_id path integer yes
lb_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
from_location string or null no
from_ip string or null no
qtype string no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/pools

Name In Type Required
zone_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

A 200 response is a list; each item has these fields:

Field Type
[].id integer
[].zone_id integer
[].name string
[].description string or null
[].hostname string or null
[].algorithm string
[].ttl integer
[].session_affinity string
[].primary_location_code string or null
[].enabled boolean
[].members array of LbMemberResponse
[].members[].id integer
[].members[].pool_id integer
[].members[].address string
[].members[].address_type string
[].members[].weight integer
[].members[].priority integer
[].members[].enabled boolean
[].members[].health_mode string
[].members[].health_port integer or null
[].members[].health_path string
[].members[].health_interval_s integer
[].members[].health_timeout_s integer
[].members[].health_status string
[].members[].last_check_at string (date-time) or null
[].members[].last_error string or null
[].members[].created_at string (date-time)
[].members[].updated_at string (date-time)
[].healthy_members integer or null
[].total_members integer or null
[].created_at string (date-time)
[].updated_at string (date-time)

POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/pools

Name In Type Required
zone_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
name string yes
description string or null no
hostname string or null no
algorithm string no
ttl integer no
session_affinity string no
primary_location_code string or null no
enabled boolean no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

Fields of a 201 response:

Field Type
id integer
zone_id integer
name string
description string or null
hostname string or null
algorithm string
ttl integer
session_affinity string
primary_location_code string or null
enabled boolean
members array of LbMemberResponse
members[].id integer
members[].pool_id integer
members[].address string
members[].address_type string
members[].weight integer
members[].priority integer
members[].enabled boolean
members[].health_mode string
members[].health_port integer or null
members[].health_path string
members[].health_interval_s integer
members[].health_timeout_s integer
members[].health_status string
members[].last_check_at string (date-time) or null
members[].last_error string or null
members[].created_at string (date-time)
members[].updated_at string (date-time)
healthy_members integer or null
total_members integer or null
created_at string (date-time)
updated_at string (date-time)

GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/pools/{pool_id}

Name In Type Required
zone_id path integer yes
pool_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
id integer
zone_id integer
name string
description string or null
hostname string or null
algorithm string
ttl integer
session_affinity string
primary_location_code string or null
enabled boolean
members array of LbMemberResponse
members[].id integer
members[].pool_id integer
members[].address string
members[].address_type string
members[].weight integer
members[].priority integer
members[].enabled boolean
members[].health_mode string
members[].health_port integer or null
members[].health_path string
members[].health_interval_s integer
members[].health_timeout_s integer
members[].health_status string
members[].last_check_at string (date-time) or null
members[].last_error string or null
members[].created_at string (date-time)
members[].updated_at string (date-time)
healthy_members integer or null
total_members integer or null
created_at string (date-time)
updated_at string (date-time)

PATCH /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/pools/{pool_id}

Name In Type Required
zone_id path integer yes
pool_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
name string or null no
description string or null no
algorithm string or null no
ttl integer or null no
session_affinity string or null no
primary_location_code string or null no
enabled boolean or null no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
id integer
zone_id integer
name string
description string or null
hostname string or null
algorithm string
ttl integer
session_affinity string
primary_location_code string or null
enabled boolean
members array of LbMemberResponse
members[].id integer
members[].pool_id integer
members[].address string
members[].address_type string
members[].weight integer
members[].priority integer
members[].enabled boolean
members[].health_mode string
members[].health_port integer or null
members[].health_path string
members[].health_interval_s integer
members[].health_timeout_s integer
members[].health_status string
members[].last_check_at string (date-time) or null
members[].last_error string or null
members[].created_at string (date-time)
members[].updated_at string (date-time)
healthy_members integer or null
total_members integer or null
created_at string (date-time)
updated_at string (date-time)

DELETE /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/pools/{pool_id}

Name In Type Required
zone_id path integer yes
pool_id path integer yes
org_slug path string yes
Status Meaning
204 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/records

Name In Type Required Description
zone_id path integer yes
org_slug path string yes
record_type query string no
name query string no
page query integer no Default: 1.
per_page query integer no Default: 100.
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

A 200 response is a list; each item has these fields:

Field Type
[].id integer
[].zone_id integer
[].name string
[].record_type string
[].content string
[].ttl integer
[].priority integer or null
[].weight integer or null
[].port integer or null
[].proxied boolean
[].comment string or null
[].created_at string (date-time)
[].updated_at string (date-time)

POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/records

Name In Type Required
zone_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
name string yes
record_type string yes
content string yes
ttl integer no
priority integer or null no
weight integer or null no
port integer or null no
proxied boolean no
comment string or null no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

Fields of a 201 response:

Field Type
id integer
zone_id integer
name string
record_type string
content string
ttl integer
priority integer or null
weight integer or null
port integer or null
proxied boolean
comment string or null
created_at string (date-time)
updated_at string (date-time)

GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/records/{record_id}

Name In Type Required
zone_id path integer yes
record_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
id integer
zone_id integer
name string
record_type string
content string
ttl integer
priority integer or null
weight integer or null
port integer or null
proxied boolean
comment string or null
created_at string (date-time)
updated_at string (date-time)

PUT /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/records/{record_id}

Name In Type Required
zone_id path integer yes
record_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
content string or null no
ttl integer or null no
priority integer or null no
weight integer or null no
port integer or null no
proxied boolean or null no
comment string or null no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
id integer
zone_id integer
name string
record_type string
content string
ttl integer
priority integer or null
weight integer or null
port integer or null
proxied boolean
comment string or null
created_at string (date-time)
updated_at string (date-time)

DELETE /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/records/{record_id}

Name In Type Required
zone_id path integer yes
record_id path integer yes
org_slug path string yes
Status Meaning
204 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/stats

Name In Type Required Description
zone_id path integer yes
org_slug path string yes
hours query integer no Default: 24.
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
zone_id integer
period_hours integer
total_queries integer
noerror integer
nxdomain integer
servfail integer
by_type By Type
hourly array of object